<div class="flex justify-center">
    <div class="w-full h-screen rounded p-4">
        <form class="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4" #f="ngForm" (ngSubmit)="handleSubmitData(f.value, f.valid)">
            <div class="pb-4">
                <h1 class="text-3xl font-bold mb-4">{{ title }}</h1>
            </div>
            <div class="mb-4">
                <label class="block text-gray-700 text-sm font-bold mb-2" for="name">
                    Username
                </label>
                <input
                    class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                    id="username" type="text" placeholder="Enter your Username" [(ngModel)]="form.username"
                    #username="ngModel" required [ngModelOptions]="{standalone: true}">
                <small *ngIf="f.submitted && !username.valid" class="text-red-500">username cannot be null</small>
            </div>
            <div class="flex mb-4">
                <div class="w-1/2 mr-2">
                    <label class="block text-gray-700 text-sm font-bold mb-2" for="first-name">
                        First Name
                    </label>
                    <input
                        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                        id="firstName" type="text" placeholder="Enter your first name" [(ngModel)]="form.firstName"
                        #firstName="ngModel" required [ngModelOptions]="{standalone: true}">
                    <small *ngIf="f.submitted && !firstName.valid" class="text-red-500">firstname cannot be null</small>

                </div>
                <div class="w-1/2 ml-2">
                    <label class="block text-gray-700 text-sm font-bold mb-2" for="last-name">
                        Last Name
                    </label>
                    <input
                        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                        id="lastName" type="text" placeholder="Enter your last name" [(ngModel)]="form.lastName"
                        #lastName="ngModel" required [ngModelOptions]="{standalone: true}">
                    <small *ngIf="f.submitted && !lastName.valid" class="text-red-500">lastname cannot be null</small>
                </div>
            </div>
            <div class="mb-4">
                <label class="block text-gray-700 text-sm font-bold mb-2" for="email">
                    Email Address
                </label>
                <input
                    class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                    id="email" type="email" placeholder="Enter your email address" [(ngModel)]="form.email"
                    #email="ngModel" required [ngModelOptions]="{standalone: true}" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$">
                <small *ngIf="f.submitted && !email.valid" class="text-red-500">email cannot be null or worng format email </small>

            </div>
            <div class="mb-4">
                <label class="block text-gray-700 text-sm font-bold mb-2" for="email">
                    BirthDate
                </label>
                <input
                    class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                    id="birthDate" type="date" placeholder="Enter your birth date" max="{{date | date:'yyyy-MM-dd'}}"
                    [(ngModel)]="form.birthDate" #birthDate="ngModel" required [ngModelOptions]="{standalone: true}">
                <small *ngIf="f.submitted && !birthDate.valid" class="text-red-500">birth date cannot be null</small>

            </div>
            <div class="mb-4">
                <label class="block text-gray-700 text-sm font-bold mb-2" for="email">
                    Basic Salary
                </label>
                <input
                    class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                    id="basicSalary" type="text" placeholder="Enter your basic salary" appEsPriceFormat
                    [(ngModel)]="form.basicSalary" #basicSalary="ngModel" required
                    [ngModelOptions]="{standalone: true}" pattern="[0-9]*">
                <small *ngIf="f.submitted && !basicSalary.valid" class="text-red-500">basic salary cannot be
                    null</small>

            </div>
            <div class="mb-4">
                <label class="block text-gray-700 text-sm font-bold mb-2" for="country">
                    Status
                </label>
                <div class="relative">
                    <ng-select [(ngModel)]="form.status" #status="ngModel" name="status" id="status"
                        placeholder="Select status" required>
                        <ng-option *ngFor="let row of statusData" [value]="row.id"
                            class="text-gray-700 hover:bg-blue-200 hover:text-blue-900">
                            {{row.name}}
                        </ng-option>
                    </ng-select>

                </div>
                <small *ngIf="f.submitted && !status.valid" class="text-red-500">status cannot be null</small>
            </div>
            <div class="mb-4">
                <label class="block text-gray-700 text-sm font-bold mb-2" for="country">
                    Group
                </label>
                <div class="relative">
                    <ng-select [(ngModel)]="form.group" #group="ngModel" name="group" id="group"
                        placeholder="Select group" required>
                        <ng-option *ngFor="let row of groupData" [value]="row.id"
                            class="text-gray-700 hover:bg-blue-200 hover:text-blue-900">
                            {{row.name}}
                        </ng-option>
                    </ng-select>

                </div>
                <small *ngIf="f.submitted && !group.valid" class="text-red-500">Group cannot be null</small>

            </div>
            <div class="mb-6">
                <label class="block text-gray-700 text-sm font-bold mb-2" for="message">
                    Description
                </label>
                <textarea
                    class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                    id="message" placeholder="Enter your message" [(ngModel)]="form.description" #description="ngModel"
                    required [ngModelOptions]="{standalone: true}"></textarea>
                <small *ngIf="f.submitted && !description.valid" class="text-red-500">Description cannot be
                    null</small>
            </div>
            <div class="flex items-center justify-end">
                <button
                    class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 mr-2 rounded focus:outline-none focus:shadow-outline"
                    type="reset" [routerLink]="['/back/page/employee']">
                    Cancel
                </button>
                <button
                    class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
                    type="submit">
                    Submit
                </button>
            </div>
        </form>
    </div>
</div>